// REVISION    : $Revision: 1.4 $
// Mentor Graphics Corporation Proprietary and Confidential
// Copyright 2007 Mentor Graphics Corporation and Licensors
`timescale 1ps/1ps
module
CORETES_AHB_CORETES_AHB_0_MSGMII_CORE
#
(
parameter
FAMILY
=
19
,
parameter
CORETSEI
=
1
'b
0
,
parameter
MDIO_PHYID
=
18
,
parameter
SLIP_ENABLE
=
1
)
(
CORETSEoO0II
,
CORETSEI10i
,
CORETSElI0II
,
CORETSEIli0
,
CORETSEoli0
,
CORETSEoI0II
,
CORETSEiI0II
,
CORETSEOloI
,
CORETSEIIII
,
CORETSEoIII
,
CORETSEli0II
,
CORETSEI110
,
CORETSEl110
,
CORETSEo110
,
CORETSEi110
,
CORETSEIlOI
,
CORETSEi010
,
CORETSEIIOI
,
CORETSEOIOI
,
CORETSElIOI
,
CORETSEO110
,
CORETSEol0II
,
CORETSEil0II
,
CORETSEolOI
,
CORETSEllOI
,
CORETSEI0II
,
CORETSEiioII
,
CORETSEOI
,
CORETSEi
,
CORETSEII
,
CORETSEII1II
,
CORETSElI
,
CORETSEoo10
,
CORETSEoOiII
,
CORETSEO00II
,
CORETSEiOiII
,
CORETSEOIol
,
CORETSEIOo0
,
CORETSElOo0
,
TBI_RX_VALID
,
RX_SLIP
)
;
input
CORETSEoO0II
;
input
CORETSEI10i
;
input
CORETSElI0II
;
input
CORETSEIli0
;
input
CORETSEoli0
;
input
CORETSEoI0II
;
input
CORETSEiI0II
;
input
[
7
:
0
]
CORETSEOloI
;
input
CORETSEIIII
;
input
CORETSEoIII
;
input
[
1
:
0
]
CORETSEli0II
;
input
CORETSEI110
;
input
CORETSEl110
;
input
CORETSEo110
;
input
CORETSEi110
;
input
CORETSEIlOI
;
input
[
9
:
0
]
CORETSEi010
;
input
CORETSEIIOI
;
input
CORETSEOIOI
;
input
CORETSElIOI
;
input
CORETSEO110
;
input
CORETSElOo0
;
input
TBI_RX_VALID
;
output
CORETSEol0II
;
output
CORETSEil0II
;
output
CORETSEolOI
;
output
CORETSEllOI
;
output
[
9
:
0
]
CORETSEI0II
;
output
CORETSEiioII
;
output
[
7
:
0
]
CORETSEOI
;
output
CORETSEi
;
output
CORETSEII
;
output
CORETSEII1II
;
output
CORETSElI
;
output
CORETSEoo10
;
output
CORETSEoOiII
;
output
CORETSEO00II
;
output
reg
[
9
:
0
]
CORETSEiOiII
;
output
CORETSEOIol
;
output
RX_SLIP
;
output
CORETSEIOo0
;
wire
[
7
:
0
]
CORETSEoIoII
;
wire
CORETSEiIoII
;
wire
CORETSEOloII
;
wire
[
7
:
0
]
CORETSElioII
;
wire
CORETSEIO1II
;
wire
CORETSEoioII
;
wire
[
15
:
0
]
CORETSEoi0II
;
wire
[
1
:
0
]
CORETSEii0II
;
wire
[
1
:
0
]
CORETSEOO1II
;
wire
[
7
:
0
]
CORETSEoO1II
;
wire
CORETSEiO1II
;
wire
CORETSEOI1II
;
wire
[
2
:
0
]
CORETSElIoII
;
wire
[
3
:
0
]
CORETSElO1II
;
wire
[
2
:
0
]
CORETSElloII
;
wire
[
3
:
0
]
CORETSEoI1II
;
wire
CORETSEIloII
;
wire
CORETSElI1II
;
wire
CORETSEI0OI
;
wire
CORETSEOl0II
;
wire
CORETSEIl0II
;
wire
CORETSEll0II
;
wire
[
8
:
0
]
CORETSEli10
;
wire
CORETSEoi10
;
reg
CORETSEOOo0
;
always
@
(
posedge
CORETSElIOI
)
begin
if
(
CORETSEI0OI
)
CORETSEOOo0
<=
#
1
1
'b
0
;
else
CORETSEOOo0
<=
#
1
~
CORETSEOOo0
;
end
always
@
(
posedge
CORETSElI0II
)
begin
if
(
CORETSEI10i
==
1
'b
1
)
CORETSEiOiII
<=
10
'h
0
;
else
CORETSEiOiII
<=
{
CORETSEoi10
,
CORETSEli10
[
8
:
0
]
}
;
end
wire
CORETSEOi0II
;
CORETES_AHB_CORETES_AHB_0_MSGMII_CLKRST
CORETSEOIiII
(
.CORETSEoO0II
(
CORETSEoO0II
)
,
.CORETSEiO0II
(
CORETSEI110
)
,
.CORETSEOI0II
(
CORETSEI10i
)
,
.CORETSEII0II
(
CORETSEOi0II
)
,
.CORETSEI10i
(
CORETSEOi0II
)
,
.CORETSEIlOI
(
CORETSEIlOI
)
,
.CORETSElI0II
(
CORETSElI0II
)
,
.CORETSEIli0
(
CORETSEIli0
)
,
.CORETSEoli0
(
CORETSEoli0
)
,
.CORETSEoI0II
(
CORETSEoI0II
)
,
.CORETSEiI0II
(
CORETSEiI0II
)
,
.CORETSEOl0II
(
CORETSEOl0II
)
,
.CORETSEIl0II
(
CORETSEIl0II
)
,
.CORETSEll0II
(
CORETSEll0II
)
,
.CORETSEol0II
(
CORETSEol0II
)
,
.CORETSEil0II
(
CORETSEil0II
)
,
.CORETSEO00II
(
CORETSEO00II
)
)
;
CORETES_AHB_CORETES_AHB_0_MSGMII_CNVTXI
#
(
.FAMILY
(
FAMILY
)
)
CORETSEIIiII
(
.CORETSEIl0II
(
CORETSEIl0II
)
,
.CORETSEIli0
(
CORETSEIli0
)
,
.CORETSEli0II
(
CORETSEli0II
)
,
.CORETSEOloI
(
CORETSEOloI
)
,
.CORETSEIIII
(
CORETSEIIII
)
,
.CORETSEoIII
(
CORETSEoIII
)
,
.CORETSElIoII
(
CORETSElIoII
)
,
.CORETSEoIoII
(
CORETSEoIoII
)
,
.CORETSEiIoII
(
CORETSEiIoII
)
,
.CORETSEOloII
(
CORETSEOloII
)
,
.CORETSEIloII
(
CORETSEIloII
)
,
.CORETSElloII
(
CORETSElloII
)
)
;
CORETES_AHB_CORETES_AHB_0_MSGMII_CNVTXO
#
(
.FAMILY
(
FAMILY
)
)
CORETSElIiII
(
.CORETSEOl0II
(
CORETSEOl0II
)
,
.CORETSElI0II
(
CORETSElI0II
)
,
.CORETSEli0II
(
CORETSEli0II
)
,
.CORETSEoIoII
(
CORETSEoIoII
)
,
.CORETSEiIoII
(
CORETSEiIoII
)
,
.CORETSEOloII
(
CORETSEOloII
)
,
.CORETSEIloII
(
CORETSEIloII
)
,
.CORETSElloII
(
CORETSElloII
)
,
.CORETSElIoII
(
CORETSElIoII
)
,
.CORETSElioII
(
CORETSElioII
)
,
.CORETSEIO1II
(
CORETSEIO1II
)
,
.CORETSEoioII
(
CORETSEoioII
)
,
.CORETSEiioII
(
CORETSEiioII
)
)
;
CORETES_AHB_CORETES_AHB_0_MSGMII_TBI
#
(
.FAMILY
(
FAMILY
)
,
.CORETSEI
(
CORETSEI
)
,
.SLIP_ENABLE
(
SLIP_ENABLE
)
)
CORETSEoIiII
(
.CORETSEoOOI
(
CORETSElI0II
)
,
.CORETSEOloI
(
CORETSElioII
)
,
.CORETSEIIII
(
CORETSEIO1II
)
,
.CORETSEoIII
(
CORETSEoioII
)
,
.CORETSEOIOI
(
CORETSEOIOI
)
,
.CORETSEIIOI
(
CORETSEIIOI
)
,
.CORETSElIOI
(
CORETSElIOI
)
,
.CORETSEi010
(
CORETSEi010
)
,
.CORETSEO110
(
CORETSEO110
)
,
.CORETSEI110
(
CORETSEI110
)
,
.CORETSEl110
(
CORETSEl110
)
,
.CORETSEo110
(
CORETSEo110
)
,
.CORETSEi110
(
CORETSEi110
)
,
.CORETSEOo10
(
MDIO_PHYID
[
4
:
0
]
)
,
.CORETSEoIOI
(
CORETSEOi0II
)
,
.CORETSEIlOI
(
CORETSEIlOI
)
,
.CORETSEI0II
(
CORETSEI0II
)
,
.CORETSEllOI
(
CORETSEllOI
)
,
.CORETSEolOI
(
CORETSEolOI
)
,
.CORETSEI0OI
(
CORETSEI0OI
)
,
.CORETSEllI
(
CORETSEoi0II
)
,
.CORETSEIo10
(
CORETSEii0II
)
,
.CORETSElo10
(
CORETSEOO1II
)
,
.CORETSEoo10
(
CORETSEoo10
)
,
.CORETSEio10
(
)
,
.CORETSEOi10
(
CORETSEoOiII
)
,
.CORETSEIi10
(
)
,
.CORETSEii10
(
CORETSEOIol
)
,
.CORETSEoi10
(
CORETSEoi10
)
,
.CORETSEli10
(
CORETSEli10
)
,
.CORETSEOOo0
(
CORETSEOOo0
)
,
.CORETSEIOo0
(
CORETSEIOo0
)
,
.CORETSElOo0
(
CORETSElOo0
)
,
.CORETSEoOo0
(
TBI_RX_VALID
)
,
.CORETSEiOo0
(
RX_SLIP
)
)
;
CORETES_AHB_CORETES_AHB_0_MSGMII_CNVRXI
#
(
.FAMILY
(
FAMILY
)
)
CORETSEiIiII
(
.CORETSEI0OI
(
CORETSEI0OI
)
,
.CORETSElIOI
(
CORETSElIOI
)
,
.CORETSEli0II
(
CORETSEli0II
)
,
.CORETSEoi0II
(
CORETSEoi0II
)
,
.CORETSEii0II
(
CORETSEii0II
)
,
.CORETSEOO1II
(
CORETSEOO1II
)
,
.CORETSEIO1II
(
CORETSEIO1II
)
,
.CORETSElO1II
(
CORETSElO1II
)
,
.CORETSEoO1II
(
CORETSEoO1II
)
,
.CORETSEiO1II
(
CORETSEiO1II
)
,
.CORETSEOI1II
(
CORETSEOI1II
)
,
.CORETSEII1II
(
CORETSEII1II
)
,
.CORETSElI
(
CORETSElI
)
,
.CORETSElI1II
(
CORETSElI1II
)
,
.CORETSEoI1II
(
CORETSEoI1II
)
,
.CORETSEOOo0
(
CORETSEOOo0
)
)
;
CORETES_AHB_CORETES_AHB_0_MSGMII_CNVRXO
#
(
.FAMILY
(
FAMILY
)
)
CORETSEOliII
(
.CORETSEll0II
(
CORETSEll0II
)
,
.CORETSEoli0
(
CORETSEoli0
)
,
.CORETSEli0II
(
CORETSEli0II
)
,
.CORETSEoO1II
(
CORETSEoO1II
)
,
.CORETSEiO1II
(
CORETSEiO1II
)
,
.CORETSEOI1II
(
CORETSEOI1II
)
,
.CORETSElI1II
(
CORETSElI1II
)
,
.CORETSEoI1II
(
CORETSEoI1II
)
,
.CORETSEOI
(
CORETSEOI
)
,
.CORETSEi
(
CORETSEi
)
,
.CORETSEII
(
CORETSEII
)
,
.CORETSElO1II
(
CORETSElO1II
)
)
;
endmodule
