//////////////////////////////////////////////////////////////////////
// Created by SmartDesign Tue Oct  1 12:01:27 2019
// Version: v12.2 12.700.0.21
//////////////////////////////////////////////////////////////////////

`timescale 1ns / 100ps

// iog_cdr_test
module iog_cdr_test(
    // Inputs
    REFCLK_N,
    REFCLK_P,
    REF_CLK_0,
    RESET_N,
    RX,
    RX_N,
    RX_P,
    TCK,
    TDI,
    TMS,
    TRSTB,
    // Outputs
    LINK_OK,
    PHY_MDC,
    PHY_RST,
    RD_BC_ERROR,
    TDO,
    TX,
    TX_N,
    TX_P,
    ZL30722_AC0,
    ZL30722_AC1,
    ZL30722_CSn,
    ZL30722_MOSI,
    ZL30722_RSTn,
    ZL30722_SCLK,
    ZL30722_TEST,
    coma_mode,
    // Inouts
    PHY_MDIO,
    ZL30722_MISO
);

//--------------------------------------------------------------------
// Input
//--------------------------------------------------------------------
input  REFCLK_N;
input  REFCLK_P;
input  REF_CLK_0;
input  RESET_N;
input  RX;
input  RX_N;
input  RX_P;
input  TCK;
input  TDI;
input  TMS;
input  TRSTB;
//--------------------------------------------------------------------
// Output
//--------------------------------------------------------------------
output LINK_OK;
output PHY_MDC;
output PHY_RST;
output RD_BC_ERROR;
output TDO;
output TX;
output TX_N;
output TX_P;
output ZL30722_AC0;
output ZL30722_AC1;
output ZL30722_CSn;
output ZL30722_MOSI;
output ZL30722_RSTn;
output ZL30722_SCLK;
output ZL30722_TEST;
output coma_mode;
//--------------------------------------------------------------------
// Inout
//--------------------------------------------------------------------
inout  PHY_MDIO;
inout  ZL30722_MISO;
//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------
wire          AND2_0_Y_0;
wire          BIBUF_0_Y;
wire          BUFF_0_Y;
wire          clk_div_0_CLK_OUT;
wire          core_jatg_debug_0_0_TGT_TCK;
wire          core_jatg_debug_0_0_TGT_TDI;
wire          core_jatg_debug_0_0_TGT_TMS;
wire          core_jatg_debug_0_0_TGT_TRST;
wire          Core_reset_pf_0_FABRIC_RESET_N_1;
wire   [31:0] CoreAHBLite_0_AHBmslave16_HADDR;
wire   [2:0]  CoreAHBLite_0_AHBmslave16_HBURST;
wire          CoreAHBLite_0_AHBmslave16_HMASTLOCK;
wire   [3:0]  CoreAHBLite_0_AHBmslave16_HPROT;
wire   [31:0] CoreAHBLite_0_AHBmslave16_HRDATA;
wire          CoreAHBLite_0_AHBmslave16_HREADY;
wire          CoreAHBLite_0_AHBmslave16_HREADYOUT;
wire   [1:0]  CoreAHBLite_0_AHBmslave16_HRESP;
wire          CoreAHBLite_0_AHBmslave16_HSELx;
wire   [2:0]  CoreAHBLite_0_AHBmslave16_HSIZE;
wire   [1:0]  CoreAHBLite_0_AHBmslave16_HTRANS;
wire   [31:0] CoreAHBLite_0_AHBmslave16_HWDATA;
wire          CoreAHBLite_0_AHBmslave16_HWRITE;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave0_HADDR;
wire   [2:0]  CoreAHBLite_IO_0_AHBmslave0_HBURST;
wire          CoreAHBLite_IO_0_AHBmslave0_HMASTLOCK;
wire   [3:0]  CoreAHBLite_IO_0_AHBmslave0_HPROT;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave0_HRDATA;
wire          CoreAHBLite_IO_0_AHBmslave0_HREADY;
wire          CoreAHBLite_IO_0_AHBmslave0_HREADYOUT;
wire   [1:0]  CoreAHBLite_IO_0_AHBmslave0_HRESP;
wire          CoreAHBLite_IO_0_AHBmslave0_HSELx;
wire   [2:0]  CoreAHBLite_IO_0_AHBmslave0_HSIZE;
wire   [1:0]  CoreAHBLite_IO_0_AHBmslave0_HTRANS;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave0_HWDATA;
wire          CoreAHBLite_IO_0_AHBmslave0_HWRITE;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave1_HADDR;
wire   [2:0]  CoreAHBLite_IO_0_AHBmslave1_HBURST;
wire          CoreAHBLite_IO_0_AHBmslave1_HMASTLOCK;
wire   [3:0]  CoreAHBLite_IO_0_AHBmslave1_HPROT;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave1_HRDATA;
wire          CoreAHBLite_IO_0_AHBmslave1_HREADY;
wire          CoreAHBLite_IO_0_AHBmslave1_HREADYOUT;
wire   [1:0]  CoreAHBLite_IO_0_AHBmslave1_HRESP;
wire          CoreAHBLite_IO_0_AHBmslave1_HSELx;
wire   [2:0]  CoreAHBLite_IO_0_AHBmslave1_HSIZE;
wire   [1:0]  CoreAHBLite_IO_0_AHBmslave1_HTRANS;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave1_HWDATA;
wire          CoreAHBLite_IO_0_AHBmslave1_HWRITE;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave2_HADDR;
wire   [2:0]  CoreAHBLite_IO_0_AHBmslave2_HBURST;
wire          CoreAHBLite_IO_0_AHBmslave2_HMASTLOCK;
wire   [3:0]  CoreAHBLite_IO_0_AHBmslave2_HPROT;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave2_HRDATA;
wire          CoreAHBLite_IO_0_AHBmslave2_HREADY;
wire          CoreAHBLite_IO_0_AHBmslave2_HREADYOUT;
wire   [1:0]  CoreAHBLite_IO_0_AHBmslave2_HRESP;
wire          CoreAHBLite_IO_0_AHBmslave2_HSELx;
wire   [2:0]  CoreAHBLite_IO_0_AHBmslave2_HSIZE;
wire   [1:0]  CoreAHBLite_IO_0_AHBmslave2_HTRANS;
wire   [31:0] CoreAHBLite_IO_0_AHBmslave2_HWDATA;
wire          CoreAHBLite_IO_0_AHBmslave2_HWRITE;
wire   [31:0] COREAHBTOAPB3_0_APBmaster_PADDR;
wire          COREAHBTOAPB3_0_APBmaster_PENABLE;
wire   [31:0] COREAHBTOAPB3_0_APBmaster_PRDATA;
wire          COREAHBTOAPB3_0_APBmaster_PREADY;
wire          COREAHBTOAPB3_0_APBmaster_PSELx;
wire          COREAHBTOAPB3_0_APBmaster_PSLVERR;
wire   [31:0] COREAHBTOAPB3_0_APBmaster_PWDATA;
wire          COREAHBTOAPB3_0_APBmaster_PWRITE;
wire          CoreAPB3_0_APBmslave0_PENABLE;
wire   [31:0] CoreAPB3_0_APBmslave0_PRDATA;
wire          CoreAPB3_0_APBmslave0_PSELx;
wire          CoreAPB3_0_APBmslave0_PWRITE;
wire          CoreAPB3_0_APBmslave1_PREADY;
wire          CoreAPB3_0_APBmslave1_PSELx;
wire          CoreAPB3_0_APBmslave1_PSLVERR;
wire   [31:0] CoreAPB3_0_APBmslave2_PRDATA;
wire          CoreAPB3_0_APBmslave2_PREADY;
wire          CoreAPB3_0_APBmslave2_PSELx;
wire          CoreAPB3_0_APBmslave2_PSLVERR;
wire          CORESPI_0_SPISCLKO;
wire          CORESPI_0_SPISDO;
wire   [0:0]  CORESPI_0_SPISS0to0;
wire   [31:0] CORETES_AHB_0_AHBMRX_HADDR;
wire   [2:0]  CORETES_AHB_0_AHBMRX_HBURST;
wire          CORETES_AHB_0_AHBMRX_HBUSREQ;
wire          CORETES_AHB_0_AHBMRX_HLOCK;
wire   [31:0] CORETES_AHB_0_AHBMRX_HRDATA;
wire          CORETES_AHB_0_AHBMRX_HREADY;
wire   [1:0]  CORETES_AHB_0_AHBMRX_HRESP;
wire   [2:0]  CORETES_AHB_0_AHBMRX_HSIZE;
wire   [1:0]  CORETES_AHB_0_AHBMRX_HTRANS;
wire   [31:0] CORETES_AHB_0_AHBMRX_HWDATA;
wire          CORETES_AHB_0_AHBMRX_HWRITE;
wire   [31:0] CORETES_AHB_0_AHBMTX_HADDR;
wire   [2:0]  CORETES_AHB_0_AHBMTX_HBURST;
wire          CORETES_AHB_0_AHBMTX_HBUSREQ;
wire          CORETES_AHB_0_AHBMTX_HLOCK;
wire   [31:0] CORETES_AHB_0_AHBMTX_HRDATA;
wire          CORETES_AHB_0_AHBMTX_HREADY;
wire   [1:0]  CORETES_AHB_0_AHBMTX_HRESP;
wire   [2:0]  CORETES_AHB_0_AHBMTX_HSIZE;
wire   [1:0]  CORETES_AHB_0_AHBMTX_HTRANS;
wire   [31:0] CORETES_AHB_0_AHBMTX_HWDATA;
wire          CORETES_AHB_0_AHBMTX_HWRITE;
wire          CORETES_AHB_0_MDO;
wire          CORETES_AHB_0_MDOEN;
wire   [9:0]  CORETES_AHB_0_TCG;
wire   [0:0]  CORETES_AHB_0_TSM_INTR0to0;
wire          DLL_DELAY_DIFF;
wire          INBUF_DIFF_0_Y;
wire   [8:8]  LINK_OK_0;
wire   [31:0] Mi_V_SoftProcessor_0_AHB_MST_MEM_HADDR;
wire   [2:0]  Mi_V_SoftProcessor_0_AHB_MST_MEM_HBURST;
wire          Mi_V_SoftProcessor_0_AHB_MST_MEM_HLOCK;
wire   [3:0]  Mi_V_SoftProcessor_0_AHB_MST_MEM_HPROT;
wire   [31:0] Mi_V_SoftProcessor_0_AHB_MST_MEM_HRDATA;
wire          Mi_V_SoftProcessor_0_AHB_MST_MEM_HREADY;
wire   [2:0]  Mi_V_SoftProcessor_0_AHB_MST_MEM_HSIZE;
wire   [1:0]  Mi_V_SoftProcessor_0_AHB_MST_MEM_HTRANS;
wire   [31:0] Mi_V_SoftProcessor_0_AHB_MST_MEM_HWDATA;
wire          Mi_V_SoftProcessor_0_AHB_MST_MEM_HWRITE;
wire   [2:0]  Mi_V_SoftProcessor_0_AHB_MST_MMIO_HBURST;
wire          Mi_V_SoftProcessor_0_AHB_MST_MMIO_HLOCK;
wire   [3:0]  Mi_V_SoftProcessor_0_AHB_MST_MMIO_HPROT;
wire   [31:0] Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRDATA;
wire          Mi_V_SoftProcessor_0_AHB_MST_MMIO_HREADY;
wire   [2:0]  Mi_V_SoftProcessor_0_AHB_MST_MMIO_HSIZE;
wire   [1:0]  Mi_V_SoftProcessor_0_AHB_MST_MMIO_HTRANS;
wire   [31:0] Mi_V_SoftProcessor_0_AHB_MST_MMIO_HWDATA;
wire          Mi_V_SoftProcessor_0_AHB_MST_MMIO_HWRITE;
wire          Mi_V_SoftProcessor_0_TDO;
wire   [7:0]  NWC_PLL_0_DLL_CODE;
wire          NWC_PLL_0_DLL_LOCK;
wire          NWC_PLL_0_OUT0_0;
wire          NWC_PLL_0_OUT0_HS_IO_CLK_0;
wire          NWC_PLL_0_OUT1_HS_IO_CLK_0;
wire          NWC_PLL_0_OUT2_HS_IO_CLK_0;
wire          NWC_PLL_0_OUT3_HS_IO_CLK_0;
wire          PF_CCC_0_OUT0_FABCLK_0_0;
wire          PF_CCC_0_PLL_LOCK_0;
wire          pf_init_monitor_0_0_DEVICE_INIT_DONE;
wire          PHY_MDC_net_0;
wire          PHY_MDIO;
wire          PHY_RST_net_0;
wire          PLL_AND_LOCK;
wire          RD_BC_ERROR_0;
wire          REF_CLK_0;
wire          REFCLK_N;
wire          REFCLK_P;
wire          RESET_N;
wire          RX;
wire          RX_N;
wire          RX_P;
wire          SGMII_CDR_0_0_RX_CLK_R_1;
wire   [9:0]  SGMII_CDR_0_0_RX_DATA;
wire          SGMII_CDR_0_01_0_DLL_CODE_UPDATE;
wire          SGMII_CDR_0_01_0_MASTER_DLL_CODE_VALID;
wire   [6:0]  SGMII_CDR_0_01_0_MASTER_DLL_DELAY_CODE;
wire          SGMII_CDR_0_01_0_MASTER_DLL_START;
wire          TCK;
wire          TDI;
wire          TDO_net_0;
wire          TMS;
wire          TRSTB;
wire          TX_net_0;
wire          TX_N_net_0;
wire          TX_P_net_0;
wire          uip_timer_0_TIMINT;
wire          ZL30722_AC0_net_0;
wire          ZL30722_AC1_net_0;
wire          ZL30722_CSn_net_0;
wire          ZL30722_CTRL_0_MISO;
wire          ZL30722_MISO;
wire          ZL30722_MOSI_net_0;
wire          ZL30722_RSTn_net_0;
wire          ZL30722_SCLK_net_0;
wire          ZL30722_TEST_net_0;
wire          TX_net_1;
wire          PHY_MDC_net_1;
wire          PHY_RST_net_1;
wire          LINK_OK_0_net_0;
wire          RD_BC_ERROR_0_net_0;
wire          TX_P_net_1;
wire          TX_N_net_1;
wire          TDO_net_1;
wire          ZL30722_TEST_net_1;
wire          ZL30722_AC1_net_1;
wire          ZL30722_AC0_net_1;
wire          ZL30722_CSn_net_1;
wire          ZL30722_RSTn_net_1;
wire          ZL30722_MOSI_net_1;
wire          ZL30722_SCLK_net_1;
wire   [1:1]  SPISS_slice_0;
wire   [2:2]  SPISS_slice_1;
wire   [3:3]  SPISS_slice_2;
wire   [4:4]  SPISS_slice_3;
wire   [5:5]  SPISS_slice_4;
wire   [6:6]  SPISS_slice_5;
wire   [7:7]  SPISS_slice_6;
wire   [1:1]  TSM_INTR_slice_0;
wire   [2:2]  TSM_INTR_slice_1;
wire   [0:0]  ANX_STATE_slice_0;
wire   [1:1]  ANX_STATE_slice_1;
wire   [2:2]  ANX_STATE_slice_2;
wire   [3:3]  ANX_STATE_slice_3;
wire   [4:4]  ANX_STATE_slice_4;
wire   [5:5]  ANX_STATE_slice_5;
wire   [6:6]  ANX_STATE_slice_6;
wire   [7:7]  ANX_STATE_slice_7;
wire   [9:9]  ANX_STATE_slice_8;
wire   [7:0]  SPISS_net_0;
wire   [2:0]  TSM_INTR_net_0;
wire   [9:0]  ANX_STATE_net_0;
wire   [30:0] IRQ_net_0;
//--------------------------------------------------------------------
// TiedOff Nets
//--------------------------------------------------------------------
wire          GND_net;
wire          VCC_net;
wire   [31:0] IADDR_const_net_0;
wire   [10:0] DRI_CTRL_0_const_net_0;
wire   [32:0] DRI_WDATA_0_const_net_0;
wire   [10:0] DRI_CTRL_1_const_net_0;
wire   [32:0] DRI_WDATA_1_const_net_0;
wire   [10:0] DLL_DRI_CTRL_const_net_0;
wire   [32:0] DLL_DRI_WDATA_const_net_0;
wire   [10:0] DRI_CTRL_0_const_net_1;
wire   [32:0] DRI_WDATA_0_const_net_1;
wire   [10:0] DRI_CTRL_1_const_net_1;
wire   [32:0] DRI_WDATA_1_const_net_1;
wire   [10:0] DLL_DRI_CTRL_const_net_1;
wire   [32:0] DLL_DRI_WDATA_const_net_1;
wire   [31:0] HADDR_M1_const_net_0;
wire   [1:0]  HTRANS_M1_const_net_0;
wire   [2:0]  HSIZE_M1_const_net_0;
wire   [2:0]  HBURST_M1_const_net_0;
wire   [3:0]  HPROT_M1_const_net_0;
wire   [31:0] HWDATA_M1_const_net_0;
wire   [31:0] HADDR_M2_const_net_0;
wire   [1:0]  HTRANS_M2_const_net_0;
wire   [2:0]  HSIZE_M2_const_net_0;
wire   [2:0]  HBURST_M2_const_net_0;
wire   [3:0]  HPROT_M2_const_net_0;
wire   [31:0] HWDATA_M2_const_net_0;
wire   [31:0] HADDR_M3_const_net_0;
wire   [1:0]  HTRANS_M3_const_net_0;
wire   [2:0]  HSIZE_M3_const_net_0;
wire   [2:0]  HBURST_M3_const_net_0;
wire   [3:0]  HPROT_M3_const_net_0;
wire   [31:0] HWDATA_M3_const_net_0;
wire   [31:0] HRDATA_S0_const_net_0;
wire   [1:0]  HRESP_S0_const_net_0;
wire   [31:0] HRDATA_S1_const_net_0;
wire   [1:0]  HRESP_S1_const_net_0;
wire   [31:0] HRDATA_S2_const_net_0;
wire   [1:0]  HRESP_S2_const_net_0;
wire   [31:0] HRDATA_S3_const_net_0;
wire   [1:0]  HRESP_S3_const_net_0;
wire   [31:0] HRDATA_S4_const_net_0;
wire   [1:0]  HRESP_S4_const_net_0;
wire   [31:0] HRDATA_S5_const_net_0;
wire   [1:0]  HRESP_S5_const_net_0;
wire   [31:0] HRDATA_S6_const_net_0;
wire   [1:0]  HRESP_S6_const_net_0;
wire   [31:0] HRDATA_S7_const_net_0;
wire   [1:0]  HRESP_S7_const_net_0;
wire   [31:0] HRDATA_S8_const_net_0;
wire   [1:0]  HRESP_S8_const_net_0;
wire   [31:0] HRDATA_S9_const_net_0;
wire   [1:0]  HRESP_S9_const_net_0;
wire   [31:0] HRDATA_S10_const_net_0;
wire   [1:0]  HRESP_S10_const_net_0;
wire   [31:0] HRDATA_S11_const_net_0;
wire   [1:0]  HRESP_S11_const_net_0;
wire   [31:0] HRDATA_S12_const_net_0;
wire   [1:0]  HRESP_S12_const_net_0;
wire   [31:0] HRDATA_S13_const_net_0;
wire   [1:0]  HRESP_S13_const_net_0;
wire   [31:0] HRDATA_S14_const_net_0;
wire   [1:0]  HRESP_S14_const_net_0;
wire   [31:0] HRDATA_S15_const_net_0;
wire   [1:0]  HRESP_S15_const_net_0;
wire   [3:0]  HPROT_M1_const_net_1;
wire   [3:0]  HPROT_M2_const_net_1;
wire   [31:0] PRDATAS3_const_net_0;
wire   [31:0] PRDATAS4_const_net_0;
wire   [31:0] PRDATAS5_const_net_0;
wire   [31:0] PRDATAS6_const_net_0;
wire   [31:0] PRDATAS7_const_net_0;
wire   [31:0] PRDATAS8_const_net_0;
wire   [31:0] PRDATAS9_const_net_0;
wire   [31:0] PRDATAS10_const_net_0;
wire   [31:0] PRDATAS11_const_net_0;
wire   [31:0] PRDATAS12_const_net_0;
wire   [31:0] PRDATAS13_const_net_0;
wire   [31:0] PRDATAS14_const_net_0;
wire   [31:0] PRDATAS15_const_net_0;
wire   [31:0] PRDATAS16_const_net_0;
//--------------------------------------------------------------------
// Inverted Nets
//--------------------------------------------------------------------
wire          RESET_N_net_0;
wire          coma_mode_OUT_PRE_INV0_0;
//--------------------------------------------------------------------
// Bus Interface Nets Declarations - Unequal Pin Widths
//--------------------------------------------------------------------
wire   [6:0]  CoreAPB3_0_APBmslave0_PADDR_2_6to0;
wire   [6:0]  CoreAPB3_0_APBmslave0_PADDR_2;
wire   [31:0] CoreAPB3_0_APBmslave0_PADDR;
wire   [4:2]  CoreAPB3_0_APBmslave0_PADDR_0_4to2;
wire   [4:2]  CoreAPB3_0_APBmslave0_PADDR_0;
wire   [4:0]  CoreAPB3_0_APBmslave0_PADDR_1_4to0;
wire   [4:0]  CoreAPB3_0_APBmslave0_PADDR_1;
wire   [31:0] CoreAPB3_0_APBmslave0_PWDATA;
wire   [7:0]  CoreAPB3_0_APBmslave0_PWDATA_0_7to0;
wire   [7:0]  CoreAPB3_0_APBmslave0_PWDATA_0;
wire   [31:8] CoreAPB3_0_APBmslave1_PRDATA_0_31to8;
wire   [7:0]  CoreAPB3_0_APBmslave1_PRDATA_0_7to0;
wire   [31:0] CoreAPB3_0_APBmslave1_PRDATA_0;
wire   [7:0]  CoreAPB3_0_APBmslave1_PRDATA;
wire   [1:0]  Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP;
wire   [0:0]  Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP_0_0to0;
wire          Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP_0;
wire   [31:31]Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0_31to31;
wire   [30:0] Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0_30to0;
wire   [31:0] Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0;
wire   [30:0] Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR;
wire   [1:0]  Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP;
wire   [0:0]  Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP_0_0to0;
wire          Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP_0;
//--------------------------------------------------------------------
// Constant assignments
//--------------------------------------------------------------------
assign GND_net                   = 1'b0;
assign VCC_net                   = 1'b1;
assign IADDR_const_net_0         = 32'h00000000;
assign DRI_CTRL_0_const_net_0    = 11'h000;
assign DRI_WDATA_0_const_net_0   = 33'h000000000;
assign DRI_CTRL_1_const_net_0    = 11'h000;
assign DRI_WDATA_1_const_net_0   = 33'h000000000;
assign DLL_DRI_CTRL_const_net_0  = 11'h000;
assign DLL_DRI_WDATA_const_net_0 = 33'h000000000;
assign DRI_CTRL_0_const_net_1    = 11'h000;
assign DRI_WDATA_0_const_net_1   = 33'h000000000;
assign DRI_CTRL_1_const_net_1    = 11'h000;
assign DRI_WDATA_1_const_net_1   = 33'h000000000;
assign DLL_DRI_CTRL_const_net_1  = 11'h000;
assign DLL_DRI_WDATA_const_net_1 = 33'h000000000;
assign HADDR_M1_const_net_0      = 32'h00000000;
assign HTRANS_M1_const_net_0     = 2'h0;
assign HSIZE_M1_const_net_0      = 3'h0;
assign HBURST_M1_const_net_0     = 3'h0;
assign HPROT_M1_const_net_0      = 4'h0;
assign HWDATA_M1_const_net_0     = 32'h00000000;
assign HADDR_M2_const_net_0      = 32'h00000000;
assign HTRANS_M2_const_net_0     = 2'h0;
assign HSIZE_M2_const_net_0      = 3'h0;
assign HBURST_M2_const_net_0     = 3'h0;
assign HPROT_M2_const_net_0      = 4'h0;
assign HWDATA_M2_const_net_0     = 32'h00000000;
assign HADDR_M3_const_net_0      = 32'h00000000;
assign HTRANS_M3_const_net_0     = 2'h0;
assign HSIZE_M3_const_net_0      = 3'h0;
assign HBURST_M3_const_net_0     = 3'h0;
assign HPROT_M3_const_net_0      = 4'h0;
assign HWDATA_M3_const_net_0     = 32'h00000000;
assign HRDATA_S0_const_net_0     = 32'h00000000;
assign HRESP_S0_const_net_0      = 2'h0;
assign HRDATA_S1_const_net_0     = 32'h00000000;
assign HRESP_S1_const_net_0      = 2'h0;
assign HRDATA_S2_const_net_0     = 32'h00000000;
assign HRESP_S2_const_net_0      = 2'h0;
assign HRDATA_S3_const_net_0     = 32'h00000000;
assign HRESP_S3_const_net_0      = 2'h0;
assign HRDATA_S4_const_net_0     = 32'h00000000;
assign HRESP_S4_const_net_0      = 2'h0;
assign HRDATA_S5_const_net_0     = 32'h00000000;
assign HRESP_S5_const_net_0      = 2'h0;
assign HRDATA_S6_const_net_0     = 32'h00000000;
assign HRESP_S6_const_net_0      = 2'h0;
assign HRDATA_S7_const_net_0     = 32'h00000000;
assign HRESP_S7_const_net_0      = 2'h0;
assign HRDATA_S8_const_net_0     = 32'h00000000;
assign HRESP_S8_const_net_0      = 2'h0;
assign HRDATA_S9_const_net_0     = 32'h00000000;
assign HRESP_S9_const_net_0      = 2'h0;
assign HRDATA_S10_const_net_0    = 32'h00000000;
assign HRESP_S10_const_net_0     = 2'h0;
assign HRDATA_S11_const_net_0    = 32'h00000000;
assign HRESP_S11_const_net_0     = 2'h0;
assign HRDATA_S12_const_net_0    = 32'h00000000;
assign HRESP_S12_const_net_0     = 2'h0;
assign HRDATA_S13_const_net_0    = 32'h00000000;
assign HRESP_S13_const_net_0     = 2'h0;
assign HRDATA_S14_const_net_0    = 32'h00000000;
assign HRESP_S14_const_net_0     = 2'h0;
assign HRDATA_S15_const_net_0    = 32'h00000000;
assign HRESP_S15_const_net_0     = 2'h0;
assign HPROT_M1_const_net_1      = 4'h0;
assign HPROT_M2_const_net_1      = 4'h0;
assign PRDATAS3_const_net_0      = 32'h00000000;
assign PRDATAS4_const_net_0      = 32'h00000000;
assign PRDATAS5_const_net_0      = 32'h00000000;
assign PRDATAS6_const_net_0      = 32'h00000000;
assign PRDATAS7_const_net_0      = 32'h00000000;
assign PRDATAS8_const_net_0      = 32'h00000000;
assign PRDATAS9_const_net_0      = 32'h00000000;
assign PRDATAS10_const_net_0     = 32'h00000000;
assign PRDATAS11_const_net_0     = 32'h00000000;
assign PRDATAS12_const_net_0     = 32'h00000000;
assign PRDATAS13_const_net_0     = 32'h00000000;
assign PRDATAS14_const_net_0     = 32'h00000000;
assign PRDATAS15_const_net_0     = 32'h00000000;
assign PRDATAS16_const_net_0     = 32'h00000000;
//--------------------------------------------------------------------
// Inversions
//--------------------------------------------------------------------
assign RESET_N_net_0 = ~ coma_mode_OUT_PRE_INV0_0;
//--------------------------------------------------------------------
// Top level output port assignments
//--------------------------------------------------------------------
assign TX_net_1                 = TX_net_0;
assign TX                       = TX_net_1;
assign PHY_MDC_net_1            = PHY_MDC_net_0;
assign PHY_MDC                  = PHY_MDC_net_1;
assign PHY_RST_net_1            = PHY_RST_net_0;
assign PHY_RST                  = PHY_RST_net_1;
assign coma_mode_OUT_PRE_INV0_0 = RESET_N;
assign coma_mode                = RESET_N_net_0;
assign LINK_OK_0_net_0          = LINK_OK_0[8];
assign LINK_OK                  = LINK_OK_0_net_0;
assign RD_BC_ERROR_0_net_0      = RD_BC_ERROR_0;
assign RD_BC_ERROR              = RD_BC_ERROR_0_net_0;
assign TX_P_net_1               = TX_P_net_0;
assign TX_P                     = TX_P_net_1;
assign TX_N_net_1               = TX_N_net_0;
assign TX_N                     = TX_N_net_1;
assign TDO_net_1                = TDO_net_0;
assign TDO                      = TDO_net_1;
assign ZL30722_TEST_net_1       = ZL30722_TEST_net_0;
assign ZL30722_TEST             = ZL30722_TEST_net_1;
assign ZL30722_AC1_net_1        = ZL30722_AC1_net_0;
assign ZL30722_AC1              = ZL30722_AC1_net_1;
assign ZL30722_AC0_net_1        = ZL30722_AC0_net_0;
assign ZL30722_AC0              = ZL30722_AC0_net_1;
assign ZL30722_CSn_net_1        = ZL30722_CSn_net_0;
assign ZL30722_CSn              = ZL30722_CSn_net_1;
assign ZL30722_RSTn_net_1       = ZL30722_RSTn_net_0;
assign ZL30722_RSTn             = ZL30722_RSTn_net_1;
assign ZL30722_MOSI_net_1       = ZL30722_MOSI_net_0;
assign ZL30722_MOSI             = ZL30722_MOSI_net_1;
assign ZL30722_SCLK_net_1       = ZL30722_SCLK_net_0;
assign ZL30722_SCLK             = ZL30722_SCLK_net_1;
//--------------------------------------------------------------------
// Slices assignments
//--------------------------------------------------------------------
assign CORESPI_0_SPISS0to0[0]        = SPISS_net_0[0:0];
assign CORETES_AHB_0_TSM_INTR0to0[0] = TSM_INTR_net_0[0:0];
assign LINK_OK_0[8]                  = ANX_STATE_net_0[8:8];
assign SPISS_slice_0[1]              = SPISS_net_0[1:1];
assign SPISS_slice_1[2]              = SPISS_net_0[2:2];
assign SPISS_slice_2[3]              = SPISS_net_0[3:3];
assign SPISS_slice_3[4]              = SPISS_net_0[4:4];
assign SPISS_slice_4[5]              = SPISS_net_0[5:5];
assign SPISS_slice_5[6]              = SPISS_net_0[6:6];
assign SPISS_slice_6[7]              = SPISS_net_0[7:7];
assign TSM_INTR_slice_0[1]           = TSM_INTR_net_0[1:1];
assign TSM_INTR_slice_1[2]           = TSM_INTR_net_0[2:2];
assign ANX_STATE_slice_0[0]          = ANX_STATE_net_0[0:0];
assign ANX_STATE_slice_1[1]          = ANX_STATE_net_0[1:1];
assign ANX_STATE_slice_2[2]          = ANX_STATE_net_0[2:2];
assign ANX_STATE_slice_3[3]          = ANX_STATE_net_0[3:3];
assign ANX_STATE_slice_4[4]          = ANX_STATE_net_0[4:4];
assign ANX_STATE_slice_5[5]          = ANX_STATE_net_0[5:5];
assign ANX_STATE_slice_6[6]          = ANX_STATE_net_0[6:6];
assign ANX_STATE_slice_7[7]          = ANX_STATE_net_0[7:7];
assign ANX_STATE_slice_8[9]          = ANX_STATE_net_0[9:9];
//--------------------------------------------------------------------
// Concatenation assignments
//--------------------------------------------------------------------
assign IRQ_net_0 = { 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , uip_timer_0_TIMINT , CORETES_AHB_0_TSM_INTR0to0[0] , 1'b0 };
//--------------------------------------------------------------------
// Bus Interface Nets Assignments - Unequal Pin Widths
//--------------------------------------------------------------------
assign CoreAPB3_0_APBmslave0_PADDR_2_6to0 = CoreAPB3_0_APBmslave0_PADDR[6:0];
assign CoreAPB3_0_APBmslave0_PADDR_2 = { CoreAPB3_0_APBmslave0_PADDR_2_6to0 };
assign CoreAPB3_0_APBmslave0_PADDR_0_4to2 = CoreAPB3_0_APBmslave0_PADDR[4:2];
assign CoreAPB3_0_APBmslave0_PADDR_0 = { CoreAPB3_0_APBmslave0_PADDR_0_4to2 };
assign CoreAPB3_0_APBmslave0_PADDR_1_4to0 = CoreAPB3_0_APBmslave0_PADDR[4:0];
assign CoreAPB3_0_APBmslave0_PADDR_1 = { CoreAPB3_0_APBmslave0_PADDR_1_4to0 };

assign CoreAPB3_0_APBmslave0_PWDATA_0_7to0 = CoreAPB3_0_APBmslave0_PWDATA[7:0];
assign CoreAPB3_0_APBmslave0_PWDATA_0 = { CoreAPB3_0_APBmslave0_PWDATA_0_7to0 };

assign CoreAPB3_0_APBmslave1_PRDATA_0_31to8 = 24'h0;
assign CoreAPB3_0_APBmslave1_PRDATA_0_7to0 = CoreAPB3_0_APBmslave1_PRDATA[7:0];
assign CoreAPB3_0_APBmslave1_PRDATA_0 = { CoreAPB3_0_APBmslave1_PRDATA_0_31to8, CoreAPB3_0_APBmslave1_PRDATA_0_7to0 };

assign Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP_0_0to0 = Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP[0:0];
assign Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP_0 = { Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP_0_0to0 };

assign Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0_31to31 = 1'b0;
assign Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0_30to0 = Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR[30:0];
assign Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0 = { Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0_31to31, Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0_30to0 };

assign Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP_0_0to0 = Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP[0:0];
assign Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP_0 = { Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP_0_0to0 };

//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------
//--------AND2
AND2 AND2_0(
        // Inputs
        .A ( PHY_RST_net_0 ),
        .B ( PLL_AND_LOCK ),
        // Outputs
        .Y ( AND2_0_Y_0 ) 
        );

//--------AND2
AND2 AND2_1(
        // Inputs
        .A ( RESET_N ),
        .B ( PF_CCC_0_PLL_LOCK_0 ),
        // Outputs
        .Y ( PHY_RST_net_0 ) 
        );

//--------BIBUF
BIBUF BIBUF_0(
        // Inputs
        .D   ( CORETES_AHB_0_MDO ),
        .E   ( CORETES_AHB_0_MDOEN ),
        // Outputs
        .Y   ( BIBUF_0_Y ),
        // Inouts
        .PAD ( PHY_MDIO ) 
        );

//--------BUFF
BUFF BUFF_0(
        // Inputs
        .A ( REF_CLK_0 ),
        // Outputs
        .Y ( BUFF_0_Y ) 
        );

//--------clk_div
clk_div clk_div_0(
        // Inputs
        .CLK_IN  ( NWC_PLL_0_OUT0_0 ),
        // Outputs
        .CLK_OUT ( clk_div_0_CLK_OUT ) 
        );

//--------core_jatg_debug_0
core_jatg_debug_0 core_jatg_debug_0_0(
        // Inputs
        .TDI        ( TDI ),
        .TCK        ( TCK ),
        .TMS        ( TMS ),
        .TRSTB      ( TRSTB ),
        .TGT_TDO    ( Mi_V_SoftProcessor_0_TDO ),
        .UTDODRV_0  ( GND_net ),
        .UTDODRV_1  ( GND_net ),
        .UTDODRV_2  ( GND_net ),
        .UTDODRV_3  ( GND_net ),
        .UTDO_IN_0  ( GND_net ),
        .UTDO_IN_1  ( GND_net ),
        .UTDO_IN_2  ( GND_net ),
        .UTDO_IN_3  ( GND_net ),
        // Outputs
        .TDO        ( TDO_net_0 ),
        .TGT_TCK    ( core_jatg_debug_0_0_TGT_TCK ),
        .TGT_TRST   ( core_jatg_debug_0_0_TGT_TRST ),
        .TGT_TMS    ( core_jatg_debug_0_0_TGT_TMS ),
        .TGT_TDI    ( core_jatg_debug_0_0_TGT_TDI ),
        .UDRCAP_OUT (  ),
        .UDRSH_OUT  (  ),
        .UDRUPD_OUT (  ),
        .URSTB_OUT  (  ),
        .UDRCK_OUT  (  ),
        .UTDI_OUT   (  ),
        .UIREG_OUT  (  ) 
        );

//--------Core_reset_pf
Core_reset_pf Core_reset_pf_0(
        // Inputs
        .CLK            ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .EXT_RST_N      ( RESET_N ),
        .PLL_LOCK       ( PF_CCC_0_PLL_LOCK_0 ),
        .SS_BUSY        ( GND_net ),
        .INIT_DONE      ( pf_init_monitor_0_0_DEVICE_INIT_DONE ),
        .FF_US_RESTORE  ( GND_net ),
        // Outputs
        .FABRIC_RESET_N ( Core_reset_pf_0_FABRIC_RESET_N_1 ) 
        );

//--------iog_cdr_test_CoreAHBLite_0_CoreAHBLite   -   Actel:DirectCore:CoreAHBLite:5.3.101
iog_cdr_test_CoreAHBLite_0_CoreAHBLite #( 
        .FAMILY             ( 26 ),
        .HADDR_SHG_CFG      ( 1 ),
        .M0_AHBSLOT0ENABLE  ( 0 ),
        .M0_AHBSLOT1ENABLE  ( 0 ),
        .M0_AHBSLOT2ENABLE  ( 0 ),
        .M0_AHBSLOT3ENABLE  ( 0 ),
        .M0_AHBSLOT4ENABLE  ( 0 ),
        .M0_AHBSLOT5ENABLE  ( 0 ),
        .M0_AHBSLOT6ENABLE  ( 0 ),
        .M0_AHBSLOT7ENABLE  ( 0 ),
        .M0_AHBSLOT8ENABLE  ( 0 ),
        .M0_AHBSLOT9ENABLE  ( 0 ),
        .M0_AHBSLOT10ENABLE ( 0 ),
        .M0_AHBSLOT11ENABLE ( 0 ),
        .M0_AHBSLOT12ENABLE ( 0 ),
        .M0_AHBSLOT13ENABLE ( 0 ),
        .M0_AHBSLOT14ENABLE ( 0 ),
        .M0_AHBSLOT15ENABLE ( 0 ),
        .M0_AHBSLOT16ENABLE ( 1 ),
        .M1_AHBSLOT0ENABLE  ( 0 ),
        .M1_AHBSLOT1ENABLE  ( 0 ),
        .M1_AHBSLOT2ENABLE  ( 0 ),
        .M1_AHBSLOT3ENABLE  ( 0 ),
        .M1_AHBSLOT4ENABLE  ( 0 ),
        .M1_AHBSLOT5ENABLE  ( 0 ),
        .M1_AHBSLOT6ENABLE  ( 0 ),
        .M1_AHBSLOT7ENABLE  ( 0 ),
        .M1_AHBSLOT8ENABLE  ( 0 ),
        .M1_AHBSLOT9ENABLE  ( 0 ),
        .M1_AHBSLOT10ENABLE ( 0 ),
        .M1_AHBSLOT11ENABLE ( 0 ),
        .M1_AHBSLOT12ENABLE ( 0 ),
        .M1_AHBSLOT13ENABLE ( 0 ),
        .M1_AHBSLOT14ENABLE ( 0 ),
        .M1_AHBSLOT15ENABLE ( 0 ),
        .M1_AHBSLOT16ENABLE ( 0 ),
        .M2_AHBSLOT0ENABLE  ( 0 ),
        .M2_AHBSLOT1ENABLE  ( 0 ),
        .M2_AHBSLOT2ENABLE  ( 0 ),
        .M2_AHBSLOT3ENABLE  ( 0 ),
        .M2_AHBSLOT4ENABLE  ( 0 ),
        .M2_AHBSLOT5ENABLE  ( 0 ),
        .M2_AHBSLOT6ENABLE  ( 0 ),
        .M2_AHBSLOT7ENABLE  ( 0 ),
        .M2_AHBSLOT8ENABLE  ( 0 ),
        .M2_AHBSLOT9ENABLE  ( 0 ),
        .M2_AHBSLOT10ENABLE ( 0 ),
        .M2_AHBSLOT11ENABLE ( 0 ),
        .M2_AHBSLOT12ENABLE ( 0 ),
        .M2_AHBSLOT13ENABLE ( 0 ),
        .M2_AHBSLOT14ENABLE ( 0 ),
        .M2_AHBSLOT15ENABLE ( 0 ),
        .M2_AHBSLOT16ENABLE ( 0 ),
        .M3_AHBSLOT0ENABLE  ( 0 ),
        .M3_AHBSLOT1ENABLE  ( 0 ),
        .M3_AHBSLOT2ENABLE  ( 0 ),
        .M3_AHBSLOT3ENABLE  ( 0 ),
        .M3_AHBSLOT4ENABLE  ( 0 ),
        .M3_AHBSLOT5ENABLE  ( 0 ),
        .M3_AHBSLOT6ENABLE  ( 0 ),
        .M3_AHBSLOT7ENABLE  ( 0 ),
        .M3_AHBSLOT8ENABLE  ( 0 ),
        .M3_AHBSLOT9ENABLE  ( 0 ),
        .M3_AHBSLOT10ENABLE ( 0 ),
        .M3_AHBSLOT11ENABLE ( 0 ),
        .M3_AHBSLOT12ENABLE ( 0 ),
        .M3_AHBSLOT13ENABLE ( 0 ),
        .M3_AHBSLOT14ENABLE ( 0 ),
        .M3_AHBSLOT15ENABLE ( 0 ),
        .M3_AHBSLOT16ENABLE ( 0 ),
        .MEMSPACE           ( 0 ),
        .SC_0               ( 0 ),
        .SC_1               ( 0 ),
        .SC_2               ( 0 ),
        .SC_3               ( 0 ),
        .SC_4               ( 0 ),
        .SC_5               ( 0 ),
        .SC_6               ( 0 ),
        .SC_7               ( 0 ),
        .SC_8               ( 0 ),
        .SC_9               ( 0 ),
        .SC_10              ( 0 ),
        .SC_11              ( 0 ),
        .SC_12              ( 0 ),
        .SC_13              ( 0 ),
        .SC_14              ( 0 ),
        .SC_15              ( 0 ) )
CoreAHBLite_0(
        // Inputs
        .HCLK          ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .HRESETN       ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .REMAP_M0      ( GND_net ),
        .HMASTLOCK_M0  ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HLOCK ),
        .HWRITE_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HWRITE ),
        .HMASTLOCK_M1  ( GND_net ), // tied to 1'b0 from definition
        .HWRITE_M1     ( GND_net ), // tied to 1'b0 from definition
        .HMASTLOCK_M2  ( GND_net ), // tied to 1'b0 from definition
        .HWRITE_M2     ( GND_net ), // tied to 1'b0 from definition
        .HMASTLOCK_M3  ( GND_net ), // tied to 1'b0 from definition
        .HWRITE_M3     ( GND_net ), // tied to 1'b0 from definition
        .HREADYOUT_S0  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S1  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S2  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S3  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S4  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S5  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S6  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S7  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S8  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S9  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S10 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S11 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S12 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S13 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S14 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S15 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S16 ( CoreAHBLite_0_AHBmslave16_HREADYOUT ),
        .HADDR_M0      ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HADDR ),
        .HSIZE_M0      ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HSIZE ),
        .HTRANS_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HTRANS ),
        .HWDATA_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HWDATA ),
        .HBURST_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HBURST ),
        .HPROT_M0      ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HPROT ),
        .HADDR_M1      ( HADDR_M1_const_net_0 ), // tied to 32'h00000000 from definition
        .HSIZE_M1      ( HSIZE_M1_const_net_0 ), // tied to 3'h0 from definition
        .HTRANS_M1     ( HTRANS_M1_const_net_0 ), // tied to 2'h0 from definition
        .HWDATA_M1     ( HWDATA_M1_const_net_0 ), // tied to 32'h00000000 from definition
        .HBURST_M1     ( HBURST_M1_const_net_0 ), // tied to 3'h0 from definition
        .HPROT_M1      ( HPROT_M1_const_net_0 ), // tied to 4'h0 from definition
        .HADDR_M2      ( HADDR_M2_const_net_0 ), // tied to 32'h00000000 from definition
        .HSIZE_M2      ( HSIZE_M2_const_net_0 ), // tied to 3'h0 from definition
        .HTRANS_M2     ( HTRANS_M2_const_net_0 ), // tied to 2'h0 from definition
        .HWDATA_M2     ( HWDATA_M2_const_net_0 ), // tied to 32'h00000000 from definition
        .HBURST_M2     ( HBURST_M2_const_net_0 ), // tied to 3'h0 from definition
        .HPROT_M2      ( HPROT_M2_const_net_0 ), // tied to 4'h0 from definition
        .HADDR_M3      ( HADDR_M3_const_net_0 ), // tied to 32'h00000000 from definition
        .HSIZE_M3      ( HSIZE_M3_const_net_0 ), // tied to 3'h0 from definition
        .HTRANS_M3     ( HTRANS_M3_const_net_0 ), // tied to 2'h0 from definition
        .HWDATA_M3     ( HWDATA_M3_const_net_0 ), // tied to 32'h00000000 from definition
        .HBURST_M3     ( HBURST_M3_const_net_0 ), // tied to 3'h0 from definition
        .HPROT_M3      ( HPROT_M3_const_net_0 ), // tied to 4'h0 from definition
        .HRDATA_S0     ( HRDATA_S0_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S0      ( HRESP_S0_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S1     ( HRDATA_S1_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S1      ( HRESP_S1_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S2     ( HRDATA_S2_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S2      ( HRESP_S2_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S3     ( HRDATA_S3_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S3      ( HRESP_S3_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S4     ( HRDATA_S4_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S4      ( HRESP_S4_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S5     ( HRDATA_S5_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S5      ( HRESP_S5_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S6     ( HRDATA_S6_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S6      ( HRESP_S6_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S7     ( HRDATA_S7_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S7      ( HRESP_S7_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S8     ( HRDATA_S8_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S8      ( HRESP_S8_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S9     ( HRDATA_S9_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S9      ( HRESP_S9_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S10    ( HRDATA_S10_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S10     ( HRESP_S10_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S11    ( HRDATA_S11_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S11     ( HRESP_S11_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S12    ( HRDATA_S12_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S12     ( HRESP_S12_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S13    ( HRDATA_S13_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S13     ( HRESP_S13_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S14    ( HRDATA_S14_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S14     ( HRESP_S14_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S15    ( HRDATA_S15_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S15     ( HRESP_S15_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S16    ( CoreAHBLite_0_AHBmslave16_HRDATA ),
        .HRESP_S16     ( CoreAHBLite_0_AHBmslave16_HRESP ),
        // Outputs
        .HREADY_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HREADY ),
        .HREADY_M1     (  ),
        .HREADY_M2     (  ),
        .HREADY_M3     (  ),
        .HSEL_S0       (  ),
        .HWRITE_S0     (  ),
        .HREADY_S0     (  ),
        .HMASTLOCK_S0  (  ),
        .HSEL_S1       (  ),
        .HWRITE_S1     (  ),
        .HREADY_S1     (  ),
        .HMASTLOCK_S1  (  ),
        .HSEL_S2       (  ),
        .HWRITE_S2     (  ),
        .HREADY_S2     (  ),
        .HMASTLOCK_S2  (  ),
        .HSEL_S3       (  ),
        .HWRITE_S3     (  ),
        .HREADY_S3     (  ),
        .HMASTLOCK_S3  (  ),
        .HSEL_S4       (  ),
        .HWRITE_S4     (  ),
        .HREADY_S4     (  ),
        .HMASTLOCK_S4  (  ),
        .HSEL_S5       (  ),
        .HWRITE_S5     (  ),
        .HREADY_S5     (  ),
        .HMASTLOCK_S5  (  ),
        .HSEL_S6       (  ),
        .HWRITE_S6     (  ),
        .HREADY_S6     (  ),
        .HMASTLOCK_S6  (  ),
        .HSEL_S7       (  ),
        .HWRITE_S7     (  ),
        .HREADY_S7     (  ),
        .HMASTLOCK_S7  (  ),
        .HSEL_S8       (  ),
        .HWRITE_S8     (  ),
        .HREADY_S8     (  ),
        .HMASTLOCK_S8  (  ),
        .HSEL_S9       (  ),
        .HWRITE_S9     (  ),
        .HREADY_S9     (  ),
        .HMASTLOCK_S9  (  ),
        .HSEL_S10      (  ),
        .HWRITE_S10    (  ),
        .HREADY_S10    (  ),
        .HMASTLOCK_S10 (  ),
        .HSEL_S11      (  ),
        .HWRITE_S11    (  ),
        .HREADY_S11    (  ),
        .HMASTLOCK_S11 (  ),
        .HSEL_S12      (  ),
        .HWRITE_S12    (  ),
        .HREADY_S12    (  ),
        .HMASTLOCK_S12 (  ),
        .HSEL_S13      (  ),
        .HWRITE_S13    (  ),
        .HREADY_S13    (  ),
        .HMASTLOCK_S13 (  ),
        .HSEL_S14      (  ),
        .HWRITE_S14    (  ),
        .HREADY_S14    (  ),
        .HMASTLOCK_S14 (  ),
        .HSEL_S15      (  ),
        .HWRITE_S15    (  ),
        .HREADY_S15    (  ),
        .HMASTLOCK_S15 (  ),
        .HSEL_S16      ( CoreAHBLite_0_AHBmslave16_HSELx ),
        .HWRITE_S16    ( CoreAHBLite_0_AHBmslave16_HWRITE ),
        .HREADY_S16    ( CoreAHBLite_0_AHBmslave16_HREADY ),
        .HMASTLOCK_S16 ( CoreAHBLite_0_AHBmslave16_HMASTLOCK ),
        .HRESP_M0      ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP ),
        .HRDATA_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HRDATA ),
        .HRESP_M1      (  ),
        .HRDATA_M1     (  ),
        .HRESP_M2      (  ),
        .HRDATA_M2     (  ),
        .HRESP_M3      (  ),
        .HRDATA_M3     (  ),
        .HADDR_S0      (  ),
        .HSIZE_S0      (  ),
        .HTRANS_S0     (  ),
        .HWDATA_S0     (  ),
        .HBURST_S0     (  ),
        .HPROT_S0      (  ),
        .HADDR_S1      (  ),
        .HSIZE_S1      (  ),
        .HTRANS_S1     (  ),
        .HWDATA_S1     (  ),
        .HBURST_S1     (  ),
        .HPROT_S1      (  ),
        .HADDR_S2      (  ),
        .HSIZE_S2      (  ),
        .HTRANS_S2     (  ),
        .HWDATA_S2     (  ),
        .HBURST_S2     (  ),
        .HPROT_S2      (  ),
        .HADDR_S3      (  ),
        .HSIZE_S3      (  ),
        .HTRANS_S3     (  ),
        .HWDATA_S3     (  ),
        .HBURST_S3     (  ),
        .HPROT_S3      (  ),
        .HADDR_S4      (  ),
        .HSIZE_S4      (  ),
        .HTRANS_S4     (  ),
        .HWDATA_S4     (  ),
        .HBURST_S4     (  ),
        .HPROT_S4      (  ),
        .HADDR_S5      (  ),
        .HSIZE_S5      (  ),
        .HTRANS_S5     (  ),
        .HWDATA_S5     (  ),
        .HBURST_S5     (  ),
        .HPROT_S5      (  ),
        .HADDR_S6      (  ),
        .HSIZE_S6      (  ),
        .HTRANS_S6     (  ),
        .HWDATA_S6     (  ),
        .HBURST_S6     (  ),
        .HPROT_S6      (  ),
        .HADDR_S7      (  ),
        .HSIZE_S7      (  ),
        .HTRANS_S7     (  ),
        .HWDATA_S7     (  ),
        .HBURST_S7     (  ),
        .HPROT_S7      (  ),
        .HADDR_S8      (  ),
        .HSIZE_S8      (  ),
        .HTRANS_S8     (  ),
        .HWDATA_S8     (  ),
        .HBURST_S8     (  ),
        .HPROT_S8      (  ),
        .HADDR_S9      (  ),
        .HSIZE_S9      (  ),
        .HTRANS_S9     (  ),
        .HWDATA_S9     (  ),
        .HBURST_S9     (  ),
        .HPROT_S9      (  ),
        .HADDR_S10     (  ),
        .HSIZE_S10     (  ),
        .HTRANS_S10    (  ),
        .HWDATA_S10    (  ),
        .HBURST_S10    (  ),
        .HPROT_S10     (  ),
        .HADDR_S11     (  ),
        .HSIZE_S11     (  ),
        .HTRANS_S11    (  ),
        .HWDATA_S11    (  ),
        .HBURST_S11    (  ),
        .HPROT_S11     (  ),
        .HADDR_S12     (  ),
        .HSIZE_S12     (  ),
        .HTRANS_S12    (  ),
        .HWDATA_S12    (  ),
        .HBURST_S12    (  ),
        .HPROT_S12     (  ),
        .HADDR_S13     (  ),
        .HSIZE_S13     (  ),
        .HTRANS_S13    (  ),
        .HWDATA_S13    (  ),
        .HBURST_S13    (  ),
        .HPROT_S13     (  ),
        .HADDR_S14     (  ),
        .HSIZE_S14     (  ),
        .HTRANS_S14    (  ),
        .HWDATA_S14    (  ),
        .HBURST_S14    (  ),
        .HPROT_S14     (  ),
        .HADDR_S15     (  ),
        .HSIZE_S15     (  ),
        .HTRANS_S15    (  ),
        .HWDATA_S15    (  ),
        .HBURST_S15    (  ),
        .HPROT_S15     (  ),
        .HADDR_S16     ( CoreAHBLite_0_AHBmslave16_HADDR ),
        .HSIZE_S16     ( CoreAHBLite_0_AHBmslave16_HSIZE ),
        .HTRANS_S16    ( CoreAHBLite_0_AHBmslave16_HTRANS ),
        .HWDATA_S16    ( CoreAHBLite_0_AHBmslave16_HWDATA ),
        .HBURST_S16    ( CoreAHBLite_0_AHBmslave16_HBURST ),
        .HPROT_S16     ( CoreAHBLite_0_AHBmslave16_HPROT ) 
        );

//--------CoreAHBLite_IO
CoreAHBLite_IO CoreAHBLite_IO_0(
        // Inputs
        .HCLK         ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .HRESETN      ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .REMAP_M0     ( GND_net ),
        .HWRITE_M0    ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HWRITE ),
        .HMASTLOCK_M0 ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HLOCK ),
        .HWRITE_M1    ( CORETES_AHB_0_AHBMTX_HWRITE ),
        .HMASTLOCK_M1 ( CORETES_AHB_0_AHBMTX_HLOCK ),
        .HWRITE_M2    ( CORETES_AHB_0_AHBMRX_HWRITE ),
        .HMASTLOCK_M2 ( CORETES_AHB_0_AHBMRX_HLOCK ),
        .HREADYOUT_S0 ( CoreAHBLite_IO_0_AHBmslave0_HREADYOUT ),
        .HREADYOUT_S1 ( CoreAHBLite_IO_0_AHBmslave1_HREADYOUT ),
        .HREADYOUT_S2 ( CoreAHBLite_IO_0_AHBmslave2_HREADYOUT ),
        .HADDR_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR_0 ),
        .HTRANS_M0    ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HTRANS ),
        .HSIZE_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HSIZE ),
        .HBURST_M0    ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HBURST ),
        .HPROT_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HPROT ),
        .HWDATA_M0    ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HWDATA ),
        .HADDR_M1     ( CORETES_AHB_0_AHBMTX_HADDR ),
        .HTRANS_M1    ( CORETES_AHB_0_AHBMTX_HTRANS ),
        .HSIZE_M1     ( CORETES_AHB_0_AHBMTX_HSIZE ),
        .HBURST_M1    ( CORETES_AHB_0_AHBMTX_HBURST ),
        .HPROT_M1     ( HPROT_M1_const_net_1 ), // tied to 4'h0 from definition
        .HWDATA_M1    ( CORETES_AHB_0_AHBMTX_HWDATA ),
        .HADDR_M2     ( CORETES_AHB_0_AHBMRX_HADDR ),
        .HTRANS_M2    ( CORETES_AHB_0_AHBMRX_HTRANS ),
        .HSIZE_M2     ( CORETES_AHB_0_AHBMRX_HSIZE ),
        .HBURST_M2    ( CORETES_AHB_0_AHBMRX_HBURST ),
        .HPROT_M2     ( HPROT_M2_const_net_1 ), // tied to 4'h0 from definition
        .HWDATA_M2    ( CORETES_AHB_0_AHBMRX_HWDATA ),
        .HRDATA_S0    ( CoreAHBLite_IO_0_AHBmslave0_HRDATA ),
        .HRESP_S0     ( CoreAHBLite_IO_0_AHBmslave0_HRESP ),
        .HRDATA_S1    ( CoreAHBLite_IO_0_AHBmslave1_HRDATA ),
        .HRESP_S1     ( CoreAHBLite_IO_0_AHBmslave1_HRESP ),
        .HRDATA_S2    ( CoreAHBLite_IO_0_AHBmslave2_HRDATA ),
        .HRESP_S2     ( CoreAHBLite_IO_0_AHBmslave2_HRESP ),
        // Outputs
        .HREADY_M0    ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HREADY ),
        .HREADY_M1    ( CORETES_AHB_0_AHBMTX_HREADY ),
        .HREADY_M2    ( CORETES_AHB_0_AHBMRX_HREADY ),
        .HWRITE_S0    ( CoreAHBLite_IO_0_AHBmslave0_HWRITE ),
        .HSEL_S0      ( CoreAHBLite_IO_0_AHBmslave0_HSELx ),
        .HREADY_S0    ( CoreAHBLite_IO_0_AHBmslave0_HREADY ),
        .HMASTLOCK_S0 ( CoreAHBLite_IO_0_AHBmslave0_HMASTLOCK ),
        .HWRITE_S1    ( CoreAHBLite_IO_0_AHBmslave1_HWRITE ),
        .HSEL_S1      ( CoreAHBLite_IO_0_AHBmslave1_HSELx ),
        .HREADY_S1    ( CoreAHBLite_IO_0_AHBmslave1_HREADY ),
        .HMASTLOCK_S1 ( CoreAHBLite_IO_0_AHBmslave1_HMASTLOCK ),
        .HWRITE_S2    ( CoreAHBLite_IO_0_AHBmslave2_HWRITE ),
        .HSEL_S2      ( CoreAHBLite_IO_0_AHBmslave2_HSELx ),
        .HREADY_S2    ( CoreAHBLite_IO_0_AHBmslave2_HREADY ),
        .HMASTLOCK_S2 ( CoreAHBLite_IO_0_AHBmslave2_HMASTLOCK ),
        .HRDATA_M0    ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRDATA ),
        .HRESP_M0     ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP ),
        .HRDATA_M1    ( CORETES_AHB_0_AHBMTX_HRDATA ),
        .HRESP_M1     ( CORETES_AHB_0_AHBMTX_HRESP ),
        .HRDATA_M2    ( CORETES_AHB_0_AHBMRX_HRDATA ),
        .HRESP_M2     ( CORETES_AHB_0_AHBMRX_HRESP ),
        .HADDR_S0     ( CoreAHBLite_IO_0_AHBmslave0_HADDR ),
        .HTRANS_S0    ( CoreAHBLite_IO_0_AHBmslave0_HTRANS ),
        .HSIZE_S0     ( CoreAHBLite_IO_0_AHBmslave0_HSIZE ),
        .HWDATA_S0    ( CoreAHBLite_IO_0_AHBmslave0_HWDATA ),
        .HBURST_S0    ( CoreAHBLite_IO_0_AHBmslave0_HBURST ),
        .HPROT_S0     ( CoreAHBLite_IO_0_AHBmslave0_HPROT ),
        .HADDR_S1     ( CoreAHBLite_IO_0_AHBmslave1_HADDR ),
        .HTRANS_S1    ( CoreAHBLite_IO_0_AHBmslave1_HTRANS ),
        .HSIZE_S1     ( CoreAHBLite_IO_0_AHBmslave1_HSIZE ),
        .HWDATA_S1    ( CoreAHBLite_IO_0_AHBmslave1_HWDATA ),
        .HBURST_S1    ( CoreAHBLite_IO_0_AHBmslave1_HBURST ),
        .HPROT_S1     ( CoreAHBLite_IO_0_AHBmslave1_HPROT ),
        .HADDR_S2     ( CoreAHBLite_IO_0_AHBmslave2_HADDR ),
        .HTRANS_S2    ( CoreAHBLite_IO_0_AHBmslave2_HTRANS ),
        .HSIZE_S2     ( CoreAHBLite_IO_0_AHBmslave2_HSIZE ),
        .HWDATA_S2    ( CoreAHBLite_IO_0_AHBmslave2_HWDATA ),
        .HBURST_S2    ( CoreAHBLite_IO_0_AHBmslave2_HBURST ),
        .HPROT_S2     ( CoreAHBLite_IO_0_AHBmslave2_HPROT ) 
        );

//--------COREAHBTOAPB3   -   Actel:DirectCore:COREAHBTOAPB3:3.1.100
COREAHBTOAPB3 #( 
        .FAMILY ( 15 ) )
COREAHBTOAPB3_0(
        // Inputs
        .HCLK      ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .HRESETN   ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .HWRITE    ( CoreAHBLite_IO_0_AHBmslave0_HWRITE ),
        .HSEL      ( CoreAHBLite_IO_0_AHBmslave0_HSELx ),
        .HREADY    ( CoreAHBLite_IO_0_AHBmslave0_HREADY ),
        .PREADY    ( COREAHBTOAPB3_0_APBmaster_PREADY ),
        .PSLVERR   ( COREAHBTOAPB3_0_APBmaster_PSLVERR ),
        .HADDR     ( CoreAHBLite_IO_0_AHBmslave0_HADDR ),
        .HTRANS    ( CoreAHBLite_IO_0_AHBmslave0_HTRANS ),
        .HWDATA    ( CoreAHBLite_IO_0_AHBmslave0_HWDATA ),
        .PRDATA    ( COREAHBTOAPB3_0_APBmaster_PRDATA ),
        // Outputs
        .HREADYOUT ( CoreAHBLite_IO_0_AHBmslave0_HREADYOUT ),
        .PENABLE   ( COREAHBTOAPB3_0_APBmaster_PENABLE ),
        .PWRITE    ( COREAHBTOAPB3_0_APBmaster_PWRITE ),
        .PSEL      ( COREAHBTOAPB3_0_APBmaster_PSELx ),
        .HRDATA    ( CoreAHBLite_IO_0_AHBmslave0_HRDATA ),
        .HRESP     ( CoreAHBLite_IO_0_AHBmslave0_HRESP ),
        .PWDATA    ( COREAHBTOAPB3_0_APBmaster_PWDATA ),
        .PADDR     ( COREAHBTOAPB3_0_APBmaster_PADDR ) 
        );

//--------CoreAPB3   -   Actel:DirectCore:CoreAPB3:4.1.100
CoreAPB3 #( 
        .APB_DWIDTH      ( 32 ),
        .APBSLOT0ENABLE  ( 1 ),
        .APBSLOT1ENABLE  ( 1 ),
        .APBSLOT2ENABLE  ( 1 ),
        .APBSLOT3ENABLE  ( 0 ),
        .APBSLOT4ENABLE  ( 0 ),
        .APBSLOT5ENABLE  ( 0 ),
        .APBSLOT6ENABLE  ( 0 ),
        .APBSLOT7ENABLE  ( 0 ),
        .APBSLOT8ENABLE  ( 0 ),
        .APBSLOT9ENABLE  ( 0 ),
        .APBSLOT10ENABLE ( 0 ),
        .APBSLOT11ENABLE ( 0 ),
        .APBSLOT12ENABLE ( 0 ),
        .APBSLOT13ENABLE ( 0 ),
        .APBSLOT14ENABLE ( 0 ),
        .APBSLOT15ENABLE ( 0 ),
        .FAMILY          ( 15 ),
        .IADDR_OPTION    ( 0 ),
        .MADDR_BITS      ( 16 ),
        .SC_0            ( 0 ),
        .SC_1            ( 0 ),
        .SC_2            ( 0 ),
        .SC_3            ( 0 ),
        .SC_4            ( 0 ),
        .SC_5            ( 0 ),
        .SC_6            ( 0 ),
        .SC_7            ( 0 ),
        .SC_8            ( 0 ),
        .SC_9            ( 0 ),
        .SC_10           ( 0 ),
        .SC_11           ( 0 ),
        .SC_12           ( 0 ),
        .SC_13           ( 0 ),
        .SC_14           ( 0 ),
        .SC_15           ( 0 ),
        .UPR_NIBBLE_POSN ( 6 ) )
CoreAPB3_0(
        // Inputs
        .PRESETN    ( GND_net ), // tied to 1'b0 from definition
        .PCLK       ( GND_net ), // tied to 1'b0 from definition
        .PWRITE     ( COREAHBTOAPB3_0_APBmaster_PWRITE ),
        .PENABLE    ( COREAHBTOAPB3_0_APBmaster_PENABLE ),
        .PSEL       ( COREAHBTOAPB3_0_APBmaster_PSELx ),
        .PREADYS0   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS0  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS1   ( CoreAPB3_0_APBmslave1_PREADY ),
        .PSLVERRS1  ( CoreAPB3_0_APBmslave1_PSLVERR ),
        .PREADYS2   ( CoreAPB3_0_APBmslave2_PREADY ),
        .PSLVERRS2  ( CoreAPB3_0_APBmslave2_PSLVERR ),
        .PREADYS3   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS3  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS4   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS4  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS5   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS5  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS6   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS6  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS7   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS7  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS8   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS8  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS9   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS9  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS10  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS10 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS11  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS11 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS12  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS12 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS13  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS13 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS14  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS14 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS15  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS15 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS16  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS16 ( GND_net ), // tied to 1'b0 from definition
        .PADDR      ( COREAHBTOAPB3_0_APBmaster_PADDR ),
        .PWDATA     ( COREAHBTOAPB3_0_APBmaster_PWDATA ),
        .PRDATAS0   ( CoreAPB3_0_APBmslave0_PRDATA ),
        .PRDATAS1   ( CoreAPB3_0_APBmslave1_PRDATA_0 ),
        .PRDATAS2   ( CoreAPB3_0_APBmslave2_PRDATA ),
        .PRDATAS3   ( PRDATAS3_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS4   ( PRDATAS4_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS5   ( PRDATAS5_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS6   ( PRDATAS6_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS7   ( PRDATAS7_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS8   ( PRDATAS8_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS9   ( PRDATAS9_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS10  ( PRDATAS10_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS11  ( PRDATAS11_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS12  ( PRDATAS12_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS13  ( PRDATAS13_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS14  ( PRDATAS14_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS15  ( PRDATAS15_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS16  ( PRDATAS16_const_net_0 ), // tied to 32'h00000000 from definition
        .IADDR      ( IADDR_const_net_0 ), // tied to 32'h00000000 from definition
        // Outputs
        .PREADY     ( COREAHBTOAPB3_0_APBmaster_PREADY ),
        .PSLVERR    ( COREAHBTOAPB3_0_APBmaster_PSLVERR ),
        .PWRITES    ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PENABLES   ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PSELS0     ( CoreAPB3_0_APBmslave0_PSELx ),
        .PSELS1     ( CoreAPB3_0_APBmslave1_PSELx ),
        .PSELS2     ( CoreAPB3_0_APBmslave2_PSELx ),
        .PSELS3     (  ),
        .PSELS4     (  ),
        .PSELS5     (  ),
        .PSELS6     (  ),
        .PSELS7     (  ),
        .PSELS8     (  ),
        .PSELS9     (  ),
        .PSELS10    (  ),
        .PSELS11    (  ),
        .PSELS12    (  ),
        .PSELS13    (  ),
        .PSELS14    (  ),
        .PSELS15    (  ),
        .PSELS16    (  ),
        .PRDATA     ( COREAHBTOAPB3_0_APBmaster_PRDATA ),
        .PADDRS     ( CoreAPB3_0_APBmslave0_PADDR ),
        .PWDATAS    ( CoreAPB3_0_APBmslave0_PWDATA ) 
        );

//--------CORESPI   -   Actel:DirectCore:CORESPI:5.1.104
CORESPI #( 
        .APB_DWIDTH        ( 32 ),
        .CFG_CLK           ( 39 ),
        .CFG_FIFO_DEPTH    ( 32 ),
        .CFG_FRAME_SIZE    ( 8 ),
        .CFG_MODE          ( 0 ),
        .CFG_MOT_MODE      ( 0 ),
        .CFG_MOT_SSEL      ( 1 ),
        .CFG_NSC_OPERATION ( 0 ),
        .CFG_TI_JMB_FRAMES ( 0 ),
        .CFG_TI_NSC_CUSTOM ( 0 ),
        .CFG_TI_NSC_FRC    ( 0 ),
        .FAMILY            ( 15 ) )
CORESPI_0(
        // Inputs
        .PCLK       ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .PRESETN    ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .PSEL       ( CoreAPB3_0_APBmslave2_PSELx ),
        .PENABLE    ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PWRITE     ( CoreAPB3_0_APBmslave0_PWRITE ),
        .SPISSI     ( GND_net ),
        .SPISDI     ( ZL30722_CTRL_0_MISO ),
        .SPICLKI    ( GND_net ),
        .PADDR      ( CoreAPB3_0_APBmslave0_PADDR_2 ),
        .PWDATA     ( CoreAPB3_0_APBmslave0_PWDATA ),
        // Outputs
        .PREADY     ( CoreAPB3_0_APBmslave2_PREADY ),
        .PSLVERR    ( CoreAPB3_0_APBmslave2_PSLVERR ),
        .SPIINT     (  ),
        .SPIRXAVAIL (  ),
        .SPITXRFM   (  ),
        .SPISCLKO   ( CORESPI_0_SPISCLKO ),
        .SPIOEN     (  ),
        .SPISDO     ( CORESPI_0_SPISDO ),
        .SPIMODE    (  ),
        .PRDATA     ( CoreAPB3_0_APBmslave2_PRDATA ),
        .SPISS      ( SPISS_net_0 ) 
        );

//--------CORETES_AHB
CORETES_AHB CORETES_AHB_0(
        // Inputs
        .STBP          ( GND_net ),
        .TXCLK         ( clk_div_0_CLK_OUT ),
        .RXCLK         ( SGMII_CDR_0_0_RX_CLK_R_1 ),
        .HRESETN       ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .HCLK          ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .MDI           ( BIBUF_0_Y ),
        .SIGNAL_DETECT ( VCC_net ),
        .TBI_RX_CLK    ( SGMII_CDR_0_0_RX_CLK_R_1 ),
        .TBI_TX_CLK    ( clk_div_0_CLK_OUT ),
        .HWRITE        ( CoreAHBLite_IO_0_AHBmslave1_HWRITE ),
        .HSEL          ( CoreAHBLite_IO_0_AHBmslave1_HSELx ),
        .HREADY        ( CoreAHBLite_IO_0_AHBmslave1_HREADY ),
        .HMASTLOCK     ( CoreAHBLite_IO_0_AHBmslave1_HMASTLOCK ),
        .TXHGRANT      ( VCC_net ), // tied to 1'b1 from definition
        .TXHREADY      ( CORETES_AHB_0_AHBMTX_HREADY ),
        .RXHGRANT      ( VCC_net ), // tied to 1'b1 from definition
        .RXHREADY      ( CORETES_AHB_0_AHBMRX_HREADY ),
        .RCG           ( SGMII_CDR_0_0_RX_DATA ),
        .HADDR         ( CoreAHBLite_IO_0_AHBmslave1_HADDR ),
        .HTRANS        ( CoreAHBLite_IO_0_AHBmslave1_HTRANS ),
        .HWDATA        ( CoreAHBLite_IO_0_AHBmslave1_HWDATA ),
        .HSIZE         ( CoreAHBLite_IO_0_AHBmslave1_HSIZE ),
        .HBURST        ( CoreAHBLite_IO_0_AHBmslave1_HBURST ),
        .TXHRESP       ( CORETES_AHB_0_AHBMTX_HRESP ),
        .TXHRDATA      ( CORETES_AHB_0_AHBMTX_HRDATA ),
        .RXHRESP       ( CORETES_AHB_0_AHBMRX_HRESP ),
        .RXHRDATA      ( CORETES_AHB_0_AHBMRX_HRDATA ),
        // Outputs
        .MDC           ( PHY_MDC_net_0 ),
        .MDO           ( CORETES_AHB_0_MDO ),
        .MDOEN         ( CORETES_AHB_0_MDOEN ),
        .SYNC          (  ),
        .RCG_ERROR     ( RD_BC_ERROR_0 ),
        .HREADYOUT     ( CoreAHBLite_IO_0_AHBmslave1_HREADYOUT ),
        .TXHWRITE      ( CORETES_AHB_0_AHBMTX_HWRITE ),
        .TXHLOCK       ( CORETES_AHB_0_AHBMTX_HLOCK ),
        .TXHBUSREQ     ( CORETES_AHB_0_AHBMTX_HBUSREQ ),
        .RXHWRITE      ( CORETES_AHB_0_AHBMRX_HWRITE ),
        .RXHLOCK       ( CORETES_AHB_0_AHBMRX_HLOCK ),
        .RXHBUSREQ     ( CORETES_AHB_0_AHBMRX_HBUSREQ ),
        .TCG           ( CORETES_AHB_0_TCG ),
        .TSM_CONTROL   (  ),
        .TSM_INTR      ( TSM_INTR_net_0 ),
        .ANX_STATE     ( ANX_STATE_net_0 ),
        .HRDATA        ( CoreAHBLite_IO_0_AHBmslave1_HRDATA ),
        .HRESP         ( CoreAHBLite_IO_0_AHBmslave1_HRESP ),
        .TXHBURST      ( CORETES_AHB_0_AHBMTX_HBURST ),
        .TXHTRANS      ( CORETES_AHB_0_AHBMTX_HTRANS ),
        .TXHADDR       ( CORETES_AHB_0_AHBMTX_HADDR ),
        .TXHWDATA      ( CORETES_AHB_0_AHBMTX_HWDATA ),
        .TXHSIZE       ( CORETES_AHB_0_AHBMTX_HSIZE ),
        .RXHBURST      ( CORETES_AHB_0_AHBMRX_HBURST ),
        .RXHTRANS      ( CORETES_AHB_0_AHBMRX_HTRANS ),
        .RXHADDR       ( CORETES_AHB_0_AHBMRX_HADDR ),
        .RXHWDATA      ( CORETES_AHB_0_AHBMRX_HWDATA ),
        .RXHSIZE       ( CORETES_AHB_0_AHBMRX_HSIZE ) 
        );

//--------iog_cdr_test_CoreUARTapb_0_CoreUARTapb   -   Actel:DirectCore:CoreUARTapb:5.6.102
iog_cdr_test_CoreUARTapb_0_CoreUARTapb #( 
        .BAUD_VAL_FRCTN    ( 0 ),
        .BAUD_VAL_FRCTN_EN ( 0 ),
        .BAUD_VALUE        ( 1 ),
        .FAMILY            ( 26 ),
        .FIXEDMODE         ( 0 ),
        .PRG_BIT8          ( 0 ),
        .PRG_PARITY        ( 0 ),
        .RX_FIFO           ( 0 ),
        .RX_LEGACY_MODE    ( 0 ),
        .TX_FIFO           ( 0 ) )
CoreUARTapb_0(
        // Inputs
        .PCLK        ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .PRESETN     ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .PSEL        ( CoreAPB3_0_APBmslave1_PSELx ),
        .PENABLE     ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PWRITE      ( CoreAPB3_0_APBmslave0_PWRITE ),
        .RX          ( RX ),
        .PADDR       ( CoreAPB3_0_APBmslave0_PADDR_1 ),
        .PWDATA      ( CoreAPB3_0_APBmslave0_PWDATA_0 ),
        // Outputs
        .TXRDY       (  ),
        .RXRDY       (  ),
        .PARITY_ERR  (  ),
        .OVERFLOW    (  ),
        .TX          ( TX_net_0 ),
        .PREADY      ( CoreAPB3_0_APBmslave1_PREADY ),
        .PSLVERR     ( CoreAPB3_0_APBmslave1_PSLVERR ),
        .FRAMING_ERR (  ),
        .PRDATA      ( CoreAPB3_0_APBmslave1_PRDATA ) 
        );

//--------INBUF_DIFF
INBUF_DIFF INBUF_DIFF_0(
        // Inputs
        .PADP ( REFCLK_P ),
        .PADN ( REFCLK_N ),
        // Outputs
        .Y    ( INBUF_DIFF_0_Y ) 
        );

//--------Mi_V_SoftProcessor
Mi_V_SoftProcessor Mi_V_SoftProcessor_0(
        // Inputs
        .CLK                 ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .RESETN              ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .TCK                 ( core_jatg_debug_0_0_TGT_TCK ),
        .TMS                 ( core_jatg_debug_0_0_TGT_TMS ),
        .TRST                ( core_jatg_debug_0_0_TGT_TRST ),
        .TDI                 ( core_jatg_debug_0_0_TGT_TDI ),
        .AHB_MST_MEM_HREADY  ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HREADY ),
        .AHB_MST_MEM_HRESP   ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HRESP_0 ),
        .AHB_MST_MMIO_HREADY ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HREADY ),
        .AHB_MST_MMIO_HRESP  ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRESP_0 ),
        .IRQ                 ( IRQ_net_0 ),
        .AHB_MST_MEM_HRDATA  ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HRDATA ),
        .AHB_MST_MMIO_HRDATA ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HRDATA ),
        // Outputs
        .TDO                 ( Mi_V_SoftProcessor_0_TDO ),
        .DRV_TDO             (  ),
        .AHB_MST_MEM_HSEL    (  ),
        .AHB_MST_MEM_HWRITE  ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HWRITE ),
        .AHB_MST_MEM_HLOCK   ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HLOCK ),
        .AHB_MST_MMIO_HWRITE ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HWRITE ),
        .AHB_MST_MMIO_HLOCK  ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HLOCK ),
        .AHB_MST_MEM_HTRANS  ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HTRANS ),
        .AHB_MST_MEM_HADDR   ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HADDR ),
        .AHB_MST_MEM_HSIZE   ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HSIZE ),
        .AHB_MST_MEM_HBURST  ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HBURST ),
        .AHB_MST_MEM_HPROT   ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HPROT ),
        .AHB_MST_MEM_HWDATA  ( Mi_V_SoftProcessor_0_AHB_MST_MEM_HWDATA ),
        .AHB_MST_MMIO_HTRANS ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HTRANS ),
        .AHB_MST_MMIO_HADDR  ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HADDR ),
        .AHB_MST_MMIO_HSIZE  ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HSIZE ),
        .AHB_MST_MMIO_HBURST ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HBURST ),
        .AHB_MST_MMIO_HPROT  ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HPROT ),
        .AHB_MST_MMIO_HWDATA ( Mi_V_SoftProcessor_0_AHB_MST_MMIO_HWDATA ) 
        );

//--------iog_cdr_test_NWC_PLL_0_PF_CCC   -   Actel:SgCore:PF_CCC:2.1.104
iog_cdr_test_NWC_PLL_0_PF_CCC NWC_PLL_0(
        // Inputs
        .REF_CLK_0        ( INBUF_DIFF_0_Y ),
        .DLL_CODE_UPDATE  ( SGMII_CDR_0_01_0_DLL_CODE_UPDATE ),
        // Outputs
        .OUT0_0           ( NWC_PLL_0_OUT0_0 ),
        .OUT0_HS_IO_CLK_0 ( NWC_PLL_0_OUT0_HS_IO_CLK_0 ),
        .OUT1_HS_IO_CLK_0 ( NWC_PLL_0_OUT1_HS_IO_CLK_0 ),
        .OUT2_HS_IO_CLK_0 ( NWC_PLL_0_OUT2_HS_IO_CLK_0 ),
        .OUT3_HS_IO_CLK_0 ( NWC_PLL_0_OUT3_HS_IO_CLK_0 ),
        .PLL_LOCK_0       ( PLL_AND_LOCK ),
        .DLL_CODE         ( NWC_PLL_0_DLL_CODE ),
        .DLL_LOCK         ( NWC_PLL_0_DLL_LOCK ),
        .DLL_DELAY_DIFF   ( DLL_DELAY_DIFF ) 
        );

//--------iog_cdr_test_PF_CCC_0_PF_CCC   -   Actel:SgCore:PF_CCC:2.1.104
iog_cdr_test_PF_CCC_0_PF_CCC PF_CCC_0(
        // Inputs
        .REF_CLK_0     ( BUFF_0_Y ),
        // Outputs
        .OUT0_FABCLK_0 ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .PLL_LOCK_0    ( PF_CCC_0_PLL_LOCK_0 ) 
        );

//--------pf_init_monitor_0
pf_init_monitor_0 pf_init_monitor_0_0(
        // Outputs
        .FABRIC_POR_N     (  ),
        .PCIE_INIT_DONE   (  ),
        .USRAM_INIT_DONE  (  ),
        .SRAM_INIT_DONE   (  ),
        .DEVICE_INIT_DONE ( pf_init_monitor_0_0_DEVICE_INIT_DONE ) 
        );

//--------pf_sram
pf_sram pf_sram_0(
        // Inputs
        .HCLK      ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .HRESETN   ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .HWRITE    ( CoreAHBLite_0_AHBmslave16_HWRITE ),
        .HSEL      ( CoreAHBLite_0_AHBmslave16_HSELx ),
        .HREADYIN  ( CoreAHBLite_0_AHBmslave16_HREADY ),
        .HADDR     ( CoreAHBLite_0_AHBmslave16_HADDR ),
        .HTRANS    ( CoreAHBLite_0_AHBmslave16_HTRANS ),
        .HSIZE     ( CoreAHBLite_0_AHBmslave16_HSIZE ),
        .HBURST    ( CoreAHBLite_0_AHBmslave16_HBURST ),
        .HWDATA    ( CoreAHBLite_0_AHBmslave16_HWDATA ),
        // Outputs
        .HREADYOUT ( CoreAHBLite_0_AHBmslave16_HREADYOUT ),
        .HRDATA    ( CoreAHBLite_0_AHBmslave16_HRDATA ),
        .HRESP     ( CoreAHBLite_0_AHBmslave16_HRESP ) 
        );

//--------SGMII_CDR_0_01
SGMII_CDR_0_01 SGMII_CDR_0_0(
        // Inputs
        .RX_P                  ( RX_P ),
        .RX_N                  ( RX_N ),
        .STREAM_START          ( VCC_net ),
        .TX_CLK_G              ( clk_div_0_CLK_OUT ),
        .HS_IO_CLK_0           ( NWC_PLL_0_OUT0_HS_IO_CLK_0 ),
        .HS_IO_CLK_90          ( NWC_PLL_0_OUT1_HS_IO_CLK_0 ),
        .HS_IO_CLK_180         ( NWC_PLL_0_OUT2_HS_IO_CLK_0 ),
        .HS_IO_CLK_270         ( NWC_PLL_0_OUT3_HS_IO_CLK_0 ),
        .RST_N                 ( AND2_0_Y_0 ),
        .PLL_LOCK              ( PLL_AND_LOCK ),
        .DLL_LOCK              ( NWC_PLL_0_DLL_LOCK ),
        .DLL_DELAY_DIFF        ( DLL_DELAY_DIFF ),
        .SLAVE_DLL_START       ( SGMII_CDR_0_01_0_MASTER_DLL_START ),
        .SLAVE_DLL_CODE_VALID  ( SGMII_CDR_0_01_0_MASTER_DLL_CODE_VALID ),
        .TX_DATA               ( CORETES_AHB_0_TCG ),
        .DLL_CODE              ( NWC_PLL_0_DLL_CODE ),
        .SLAVE_DLL_DELAY_CODE  ( SGMII_CDR_0_01_0_MASTER_DLL_DELAY_CODE ),
        // Outputs
        .TX_P                  ( TX_P_net_0 ),
        .TX_N                  ( TX_N_net_0 ),
        .RX_CLK_R              ( SGMII_CDR_0_0_RX_CLK_R_1 ),
        .RX_VAL                (  ),
        .DLL_CODE_UPDATE       ( SGMII_CDR_0_01_0_DLL_CODE_UPDATE ),
        .MASTER_DLL_CODE_VALID ( SGMII_CDR_0_01_0_MASTER_DLL_CODE_VALID ),
        .MASTER_DLL_START      ( SGMII_CDR_0_01_0_MASTER_DLL_START ),
        .RX_DATA               ( SGMII_CDR_0_0_RX_DATA ),
        .MASTER_DLL_DELAY_CODE ( SGMII_CDR_0_01_0_MASTER_DLL_DELAY_CODE ) 
        );

//--------shared_sram
shared_sram shared_sram_0(
        // Inputs
        .HCLK      ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .HRESETN   ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .HWRITE    ( CoreAHBLite_IO_0_AHBmslave2_HWRITE ),
        .HSEL      ( CoreAHBLite_IO_0_AHBmslave2_HSELx ),
        .HREADYIN  ( CoreAHBLite_IO_0_AHBmslave2_HREADY ),
        .HADDR     ( CoreAHBLite_IO_0_AHBmslave2_HADDR ),
        .HTRANS    ( CoreAHBLite_IO_0_AHBmslave2_HTRANS ),
        .HSIZE     ( CoreAHBLite_IO_0_AHBmslave2_HSIZE ),
        .HBURST    ( CoreAHBLite_IO_0_AHBmslave2_HBURST ),
        .HWDATA    ( CoreAHBLite_IO_0_AHBmslave2_HWDATA ),
        // Outputs
        .HREADYOUT ( CoreAHBLite_IO_0_AHBmslave2_HREADYOUT ),
        .HRDATA    ( CoreAHBLite_IO_0_AHBmslave2_HRDATA ),
        .HRESP     ( CoreAHBLite_IO_0_AHBmslave2_HRESP ) 
        );

//--------uip_timer
uip_timer uip_timer_0(
        // Inputs
        .PCLK    ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .PRESETn ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .PSEL    ( CoreAPB3_0_APBmslave0_PSELx ),
        .PENABLE ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PWRITE  ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PADDR   ( CoreAPB3_0_APBmslave0_PADDR_0 ),
        .PWDATA  ( CoreAPB3_0_APBmslave0_PWDATA ),
        // Outputs
        .TIMINT  ( uip_timer_0_TIMINT ),
        .PRDATA  ( CoreAPB3_0_APBmslave0_PRDATA ) 
        );

//--------ZL30722_CTRL
ZL30722_CTRL #( 
        .max ( 65535 ) )
ZL30722_CTRL_0(
        // Inputs
        .nReset       ( Core_reset_pf_0_FABRIC_RESET_N_1 ),
        .clk          ( PF_CCC_0_OUT0_FABCLK_0_0 ),
        .IF0          ( VCC_net ),
        .IF1          ( VCC_net ),
        .SCLK         ( CORESPI_0_SPISCLKO ),
        .MOSI         ( CORESPI_0_SPISDO ),
        .CSn          ( CORESPI_0_SPISS0to0 ),
        // Outputs
        .ZL30722_SCLK ( ZL30722_SCLK_net_0 ),
        .ZL30722_MOSI ( ZL30722_MOSI_net_0 ),
        .ZL30722_RSTn ( ZL30722_RSTn_net_0 ),
        .ZL30722_CSn  ( ZL30722_CSn_net_0 ),
        .ZL30722_AC0  ( ZL30722_AC0_net_0 ),
        .ZL30722_AC1  ( ZL30722_AC1_net_0 ),
        .ZL30722_TEST ( ZL30722_TEST_net_0 ),
        .MISO         ( ZL30722_CTRL_0_MISO ),
        // Inouts
        .ZL30722_MISO ( ZL30722_MISO ) 
        );


endmodule
